# [PostCSS Prefix Wrap](./README.md) // Changelog

Releases ordered so that the most recent are displayed at the top, with the currently being developed release at the
top, labeled as **🚧 In Development**. This release will be given a number once it is ready to be released. Each release
can contain both a **💡 Features and Improvements**, **🔧 Maintenance**, and **🐛 Bug Fixes** sections.

## [1.56.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.56.0)

### 🔧 Maintenance

- Apply dependency updates.

## [1.55.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.55.0)

### 🔧 Maintenance

- Apply dependency updates.

## [1.54.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.54.0)

### 🔧 Maintenance

- Apply dependency updates.

## [1.53.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.53.0)

### 💡 Features and Improvements

- [Bun (bun.sh)](https://bun.sh) support.
- [Deno (deno.com)](https://deno.com) support.

### 🔧 Maintenance

- Apply dependency updates.

## [1.52.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.52.0)

### 🔧 Maintenance

- Apply dependency updates.

## [1.51.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.51.0)

### 💡 Features and Improvements

- Use real types from plugin source.

### 🐛 Bug Fixes

- [#515](https://github.com/dbtedman/postcss-prefixwrap/issues/515) Correctly handle `:where` statement.

## [1.50.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.50.0)

### 🔧 Maintenance

- Apply dependency updates.

## [1.49.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.49.0)

### 💡 Features and Improvements

- NodeJS v22 Support

### 🔧 Maintenance

- Apply dependency updates.
- Simplify SAST workflows, focusing on GitHub embedded tools where possible.

## [1.48.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.48.0)

### 🔧 Maintenance

- Apply dependency updates.

## [1.47.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.47.0)

### 💡 Features and Improvements

- [#413](https://github.com/dbtedman/postcss-prefixwrap/issues/413) Provenance

## [1.46.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.46.0)

### 🔧 Maintenance

- Apply dependency updates.

## [1.45.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.45.0)

### 🔧 Maintenance

- Apply dependency updates.

## [1.44.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.44.0)

### 💡 Features and Improvements

- Rethink testing strategy.
- Add PNPM support to Dependabot.
- Add Semgrep SAST.

### 🔧 Maintenance

- Drop support for unmaintained NodeJS versions according to [Release Schedule (nodejs.org)](https://nodejs.org/en/about/previous-releases).
- Drop support for postcss v7 in test cases as it includes vulnerabilities that won't be fixed.
- Apply dependency updates.

## [1.43.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.43.0)

### 🔧 Maintenance

- NodeJS Update
- Dependency Updates

## [1.42.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.42.0)

### 🔧 Maintenance

- NodeJS Update
- Dependency Updates

## [1.41.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.41.0)

### 🔧 Maintenance

- NodeJS Update
- Dependency Updates

## [1.40.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.40.0)

### 🔧 Maintenance

- Fix TypeScript config for updated NodeJS support.
- Update use of Jest directives to definitions file.
- Update import formats.
- Dependency Updates

## [1.39.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.39.1)

### 🔧 Maintenance

- Dependency Updates

## [1.39.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.39.0)

### 💡 Features and Improvements

- [OSV Scanning](https://osv.dev/) in SAST Pipeline
- Link to external articles for **What problems can it solve?**
- Include Node v19 support

### 🔧 Maintenance

- Dependency Updates

## [1.38.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.38.1)

### 🐛 Bug Fixes

- Fix repository badges

## [1.38.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.38.0)

### 🔧 Maintenance

- Dependency Updates

## [1.37.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.37.0)

### 💡 Features and Improvements

- OpenSSF Scorecard
- Rethink focus on Code Coverage, instead focus on developing with TDD

## [1.36.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.36.0)

### 💡 Features and Improvements

- [#187](https://github.com/dbtedman/postcss-prefixwrap/issues/187) Integration Test Rethink

### 🐛 Bug Fixes

- [#189](https://github.com/dbtedman/postcss-prefixwrap/issues/189) Fix typescript broken import path

## [1.35.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.35.1)

### 🐛 Bug Fixes

- [#185](https://github.com/dbtedman/postcss-prefixwrap/issues/185) Don't use alias `*` selector as will break imports
  when used outside of config without it.

## [1.35.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.35.0)

### 💡 Features and Improvements

- Structure Refactor

### 🔧 Maintenance

- Dependency Updates

## [1.34.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.34.0)

### 💡 Features and Improvements

- [#180](https://github.com/dbtedman/postcss-prefixwrap/pull/180) Escape prefixSelector

### 🔧 Maintenance

- Dependency Updates
- Revised SAST Configuration

## [1.33.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.33.0)

### 🐛 Bug Fixes

- [#176](https://github.com/dbtedman/postcss-prefixwrap/issues/176) Update instructions on `whitelist` and `blacklist`
  to clarify regular expression usage
- Expand CI support to run on windows host to assist in identifying cross-platform issues

## [1.32.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.32.0)

### 🔧 Maintenance

- Dependency Updates

## [1.31.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.31.0)

### 💡 Features and Improvements

- Updated `README.md` documentation

### 🔧 Maintenance

- Dependency Updates

## [1.30.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.30.1)

### 💡 Features and Improvements

- Snyk + CodeQL SAST
- Switch to PNPM from Yarn
- Introduce Makefile for common commands

### 🐛 Bug Fixes

- `:root` missing from list of root tags

## [1.29.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.29.1)

### 🔧 Maintenance

- Dependency Updates

## [1.29.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.29.0)

### 💡 Features and Improvements

- [[154]](https://github.com/dbtedman/postcss-prefixwrap/issues/154) Add support for nested selectors with new
  configuration option

## [1.28.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.28.1)

### 🐛 Bug Fixes

- [[146]](https://github.com/dbtedman/postcss-prefixwrap/issues/146) Fix Rule not wrapped when the first selector starts
  with the prefix

## [1.27.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.27.0)

### 🔧 Maintenance

- Dependency Updates

## [1.26.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.26.0)

### 🔧 Maintenance

- Dependency Updates

## [1.25.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.25.0)

### 🔧 Maintenance

- Dependency Updates

## [1.24.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.24.0)

### 🔧 Maintenance

- Dependency Updates

## [1.23.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.23.0)

### 💡 Features and Improvements

- Define supported NodeJS versions, and tweak TypeScript build accordingly.

### 🔧 Maintenance

- Dependency Updates

## [1.22.2](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.22.2)

### 🔧 Maintenance

- Dependency updates

## [1.22.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.22.1)

### 🐛 Bug Fixes

- Remove explicit version

## [1.22.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.22.0)

### 💡 Features and Improvements

- [#116](https://github.com/dbtedman/postcss-prefixwrap/issues/116) Expand postcss version support allowed with peer

## [1.21.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.21.0)

### 🔧 Maintenance

- Dependency Updates
- Documentation Cleanup

## [1.20.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.20.0)

### 🔧 Maintenance

- Dependency updates

## [1.19.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.19.0)

### 💡 Features and Improvements

- [[109]](https://github.com/dbtedman/postcss-prefixwrap/pull/109) Fix compatibility with PostCSS 8.1

## [1.18.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.18.1)

### 🐛 Bug Fixes

- [[107]](https://github.com/dbtedman/postcss-prefixwrap/pull/107) Fix relative path
  issue `Cannot find module 'PostCSSPrefixWrap'`

## [1.18.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.18.0)

### 💡 Features and Improvements

- [[104]](https://github.com/dbtedman/postcss-prefixwrap/issues/104) PostCSS 8 Support

## [1.17.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.17.0)

### 🔧 Maintenance

- Dependency updates
- Documentation refactor

## [1.16.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.16.0)

### 🔧 Maintenance

- Dependency updates

## [1.15.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.15.0)

### 💡 Features and Improvements

- [[91]](https://github.com/dbtedman/postcss-prefixwrap/pull/91) Clarify prefixRootTags option

## [1.14.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.14.0)

### 💡 Features and Improvements

- [ESLint](https://eslint.org/) support to improve code quality

### 🔧 Maintenance

- Dependency updates

## [1.13.2](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.13.2)

### 🔧 Maintenance

- Dependency updates

## [1.13.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.13.1)

### 🔧 Maintenance

- Dependency updates

## [1.13.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.13.0)

### 💡 Features and Improvements

- Implement `blacklist`

## [1.12.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.10.0)

- [[74]](https://github.com/dbtedman/postcss-prefixwrap/pull/74) Whitelist option for prefixing only some files

## [1.11.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.10.0)

### 💡 Features and Improvements

- GitHub Actions Release

## [1.10.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.10.0)

### 💡 Features and Improvements

- GitHub Actions (Replacing TravisCI)

## [1.9.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.9.0)

### 💡 Features and Improvements

- Add integration tests to validate plugin defined correctly in build.

### 🐛 Bug Fixes

- Fix error in main file definition.

## [1.8.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.8.0)

### 💡 Features and Improvements

- Jest

## [1.7.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.7.0)

### 💡 Features and Improvements

- Audit Fixes

## [1.6.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.6.0)

### 💡 Features and Improvements

- Refactored test implementation with `acceptance`, and `unit` kinds.
- TypeScript to better handle types.

## [1.5.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.5.1)

### 🐛 Bug Fixes

- Updated package metadata.
- Updated CI configuration to ensure it fails when `npm audit` fails.

## [1.5.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.5.0)

### 💡 Features and Improvements

- [[41]](https://github.com/dbtedman/postcss-prefixwrap/pull/41) Added ignored selectors list.
- Experiment with better `eslint` / `prettier` integration.
- Package updates; some to fix audit errors, the rest to bring packages up to latest versions.

## [1.4.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.4.1)

### 🐛 Bug Fixes

- Dependency and License updates.

## [1.4.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.4.0)

### 💡 Features and Improvements

- [[28]](https://github.com/dbtedman/postcss-prefixwrap/issues/28) PostCSS Should be a Peer Dependency not Dependency
- [[29]](https://github.com/dbtedman/postcss-prefixwrap/issues/29) Use Modern JS (ES6+)
- [[30]](https://github.com/dbtedman/postcss-prefixwrap/issues/30) Include Current Node Versions in Testing
- Prettier
- Project cleanup.

## [1.3.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.3.0)

### 💡 Features and Improvements

- [[22]](https://github.com/dbtedman/postcss-prefixwrap/pull/22) Implement a more robust `@keyframes` detection,
  preserving `from` and `to` inside `@keyframes`

### 🐛 Bug Fixes

- [[23]](https://github.com/dbtedman/postcss-prefixwrap/pull/23) Stop ESLint from searching for config files in parent
  folders

## [1.2.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.2.0)

### 💡 Features and Improvements

- Add code coverage reporting to ensure all parts of the code are being exercised by the tests
- Additional test coverage to exercise error condition handling for invalid css
- Introduction of integration testing suite

### 🐛 Bug Fixes

- [[17]](https://github.com/dbtedman/postcss-prefixwrap/issues/17) Keyframe percentages are incorrectly prefixed

## [1.1.3](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.1.3)

### 🐛 Bug Fixes

- [[6]](https://github.com/dbtedman/postcss-prefixwrap/issues/6) Selectors containing the word "body" or "html" treated
  as root

## [1.1.2](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.1.2)

### 🐛 Bug Fixes

- Support for multiline selectors

## [1.1.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.1.1)

### 💡 Features and Improvements

- Updates to support disabling of html/body replacement
- Enable support for multiple selectors

## [1.0.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.0.1)

### 💡 Features and Improvements

- Updates to README contents

## [1.0.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/1.0.0)

### 💡 Features and Improvements

- Updated npm dependencies to explicitly define versions

## [0.2.2](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/0.2.2)

### 💡 Features and Improvements

- Expanded ESLint coverage to validate test scripts
- Extracted contributor details into `CONTRIBUTING.md` file and simplified project `README.md`

## [0.2.1](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/0.2.1)

### 💡 Features and Improvements

- Added test for our container selector matching existing selector

## [0.2.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/0.2.0)

### 💡 Features and Improvements

- Added Mocha Unit tests

## [0.1.0](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/0.1.0)

### 💡 Features and Improvements

- Add support for top level combined selectors containing our container class

## [0.0.5](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/0.0.5)

### 🐛 Bug Fixes

- Updated ignores to help npm

## [0.0.4](https://github.com/dbtedman/postcss-prefixwrap/releases/tag/0.0.4)

### 💡 Features and Improvements

- Initial repository scaffold
- Basic plugin implementation
